summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorVailin Choi <vchoi@hdfgroup.org>2015-03-02 23:10:57 (GMT)
committerVailin Choi <vchoi@hdfgroup.org>2015-03-02 23:10:57 (GMT)
commit690b832ce1de4698a7fbe1f49b3c71d8c0a5fc14 (patch)
treed5bea357e6e1f96f52bc09d9ad314d8c24f44223 /bin
parentb53d5c485c94db8083bc36e5bf6cca3aa017a103 (diff)
downloadhdf5-690b832ce1de4698a7fbe1f49b3c71d8c0a5fc14.zip
hdf5-690b832ce1de4698a7fbe1f49b3c71d8c0a5fc14.tar.gz
hdf5-690b832ce1de4698a7fbe1f49b3c71d8c0a5fc14.tar.bz2
[svn-r26344] Bring revisions #25870 - #25902 from trunk to revise_chunks.
h5committested.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/cmakehdf522
-rwxr-xr-xbin/release5
2 files changed, 20 insertions, 7 deletions
diff --git a/bin/cmakehdf5 b/bin/cmakehdf5
index 58fd355..ec6357f 100755
--- a/bin/cmakehdf5
+++ b/bin/cmakehdf5
@@ -23,12 +23,26 @@ makelog="#${progname}_2build.log"
testlog="#${progname}_3test.log"
packlog="#${progname}_4pack.log"
installlog="#${progname}_5install.log"
-srcdir="../hdf5" # expected source directory
exit_code=0
+# This command should be in the source directory's bin/
+# and should have invoked as "$srcdir/bin/$progname" or
+# "bin/$progname". So, by striping bin/$program from $0,
+# we can find $srcdir.
+if [ $0 == bin/$progname ]; then
+ srcdir="." # current directory
+else
+ # $0 is $srdir/bin/$progname
+ srcdir=`echo $0 | sed -e s%/bin/$progname\$%%`
+fi
+# Sanity check
+if [ ! -r $srcdir/bin/$progname ]; then
+ echo "encountered error while trying to find srcdir($srdir)"
+ exit 1
+fi
+
# Cmake build options
-hdf5_src=../hdf5
-cacheinit=$hdf5_src/config/cmake/cacheinit.cmake
+cacheinit=$srcdir/config/cmake/cacheinit.cmake
build_cpp_lib=-DHDF5_BUILD_CPP_LIB:BOOL=OFF # C++ interface default off
build_fortran=-DHDF5_BUILD_FORTRAN:BOOL=OFF # Fortran interface default off
build_hl_lib=-DHDF5_BUILD_HL_LIB:BOOL=ON # High Level interface default on
@@ -189,7 +203,7 @@ STEP "Configure..." "cmake \
$build_hl_lib \
$build_testing \
$build_tools \
- $hdf5_src" $configlog
+ $srcdir" $configlog
# 5. Build the C library, tools and tests with this command:
STEP "Build the library, tools and tests, ..." "cmake --build . --config Release" $makelog
diff --git a/bin/release b/bin/release
index 68745ec..d771db6 100755
--- a/bin/release
+++ b/bin/release
@@ -40,12 +40,11 @@
USAGE()
{
cat << EOF
-Usage: $0 [--nocheck] [-d <dir>] [-h] <methods> ...
+Usage: $0 -d <dir> [-h] [--nocheck] [--private] <methods> ...
-d DIR The name of the directory where the releas(es) should be
placed.
-
+ -h print the help page.
--nocheck Ignore errors in MANIFEST file.
-
--private Make a private release with today's date in version information.
This must be run at the top level of the source directory.